package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class UraianKegiatanVO extends BaseMasterVO{

	@Caption(value = "Nama Uraian Kegiatan")
	private String namaUraianKegiatan;
	
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	@JoinColumn(name = "objectprogramkegiatanfk", nullable = true)
	@Caption(value = "Program Kegiatan")
	private ProgramKegiatanVO programKegiatan;
	
	@Column(name = "objectprogramkegiatanfk", insertable = false, updatable = false, nullable = true)
	private Integer idProgramKegiatan;

	public String getNamaUraianKegiatan() {
		return namaUraianKegiatan;
	}

	public void setNamaUraianKegiatan(String namaUraianKegiatan) {
		this.namaUraianKegiatan = namaUraianKegiatan;
	}

	public ProgramKegiatanVO getProgramKegiatan() {
		return programKegiatan;
	}

	public void setProgramKegiatan(ProgramKegiatanVO programKegiatan) {
		this.programKegiatan = programKegiatan;
	}

	public Integer getIdProgramKegiatan() {
		return idProgramKegiatan;
	}

	public void setIdProgramKegiatan(Integer idProgramKegiatan) {
		this.idProgramKegiatan = idProgramKegiatan;
	}
	
}
